class ContentBytesCategoriesModel {
  String? status;
  int? statusCode;
  String? message;
  List<Data>? data;

  ContentBytesCategoriesModel(
      {this.status, this.statusCode, this.message, this.data});

  ContentBytesCategoriesModel.fromJson(Map<String, dynamic> json) {
    status = json['status'];
    statusCode = json['status_code'];
    message = json['message'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(new Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['status'] = this.status;
    data['status_code'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Data {
  int? id;
  String? categoryName;
  String? categoryDescription;
  String? isActive;

  Data({this.id, this.categoryName, this.categoryDescription, this.isActive});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    categoryName = json['category_name'];
    categoryDescription = json['category_description'];
    isActive = json['is_active'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['category_name'] = this.categoryName;
    data['category_description'] = this.categoryDescription;
    data['is_active'] = this.isActive;
    return data;
  }
}
